import java.awt.image.*;
import java.awt.event.*;
import java.awt.*;
import javax.swing.*;
import java.util.Scanner;
import java.util.ArrayList;

/*
 * GUI (Graphical User Interface), mit einem eigenen Layout
 */
public class BilderGUI implements ActionListener {
    JButton but1, but2, but3, but4, but5;
    JLabel lab1, lab2;
    JGrafikPanel bild1, bild2;
    JFrame frame;
    int raumnummer;
    static BufferedImage originalbild;
    
    
    public void zeigeFenster() {
        setSchriftgroesse(14);

        frame = new JFrame();
        frame.setDefaultCloseOperation( JFrame.EXIT_ON_CLOSE );
        frame.setTitle("MatheBilder");
        frame.setLayout(null); 

        but1 = new JButton("Rauf");
        but1.setBounds(10,10,100,40);
        but1.addActionListener(this);
        frame.add( but1 );

        but2 = new JButton("Runter");
        but2.setBounds(110,10,100,40);
        but2.addActionListener(this);
        frame.add( but2 );

        but3 = new JButton("Blauton");
        but3.setBounds(220,10,100,40);
        but3.addActionListener(this);
        frame.add( but3 );

        but4 = new JButton("Verzerren");
        but4.setBounds(320,10,150,40);
        but4.addActionListener(this);
        frame.add( but4 );

        but5 = new JButton("Muster");
        but5.setBounds(470,10,100,40);
        but5.addActionListener(this);
        frame.add( but5 );

        lab1 = new JLabel("MatheBilder!");
        lab1.setBounds(10,50,450,30);
        frame.add(lab1);

        lab2 = new JLabel("Veränderungsart: 1 (Blauton ändern)");
        lab2.setBounds(10,80,450,30);
        frame.add(lab2);

        bild1 = new JGrafikPanel();
        bild1.setBounds(10,110,300,500);
        bild1.setBild("bild.jpg");
        frame.add(bild1);
        
        bild2 = new JGrafikPanel();
        bild2.setBounds(320,110,300,500);
        bild2.setBild("bild.jpg");
        bild2.setVeraenderungsart(1);
        frame.add(bild2);
        

        frame.pack();
        frame.setSize(700,630);
        frame.setResizable(false);
        frame.setVisible( true );
        
    }

    public void actionPerformed(ActionEvent e) {
        lab1.setText("Falls dieser Text hier steht: Labeltext wurde nicht geändert!");
        if(e.getSource() == but1) {
            bild2.myParameter = bild2.myParameter + 1;
        }
        if(e.getSource() == but2) {
            bild2.myParameter = bild2.myParameter - 1;
        }
        lab1.setText("Der Wert von myParameter ist nun: " + bild2.myParameter);

        if(e.getSource() == but3) {
            bild2.setVeraenderungsart(1);
            lab2.setText("Veränderungsart: 1 (Blauton ändern)");
        }
        if(e.getSource() == but4) {
            bild2.setVeraenderungsart(2);
            lab2.setText("Veränderungsart: 2 (Verzerrung)");
        }
        if(e.getSource() == but5) {
            bild2.setVeraenderungsart(3);
            lab2.setText("Veränderungsart: 3 (Muster)");
        }
        
        frame.repaint();
    }

    public static boolean isInt(String s) {
        Scanner sc = new Scanner(s.trim());
        if(!sc.hasNextInt(10)) return false;
        // we know it starts with a valid int, now make sure
        // there's nothing left!
        sc.nextInt(10);
        return !sc.hasNext();
    }

    void setSchriftgroesse(int s) {
        Font f = new Font("Arial", Font.BOLD, s);

        UIManager.put("Button.font",f);
        UIManager.put("ToggleButton.font",f);
        UIManager.put("RadioButton.font", f);
        UIManager.put("CheckBox.font", f);
        UIManager.put("ColorChooser.font", f);
        UIManager.put("ComboBox.font", f);
        UIManager.put("Label.font",f);
        UIManager.put("List.font", f);
        UIManager.put("MenuBar.font", f);
        UIManager.put("MenuItem.font", f);
        UIManager.put("RadioButtonMenuItem.font", f);
        UIManager.put("CheckBoxMenuItem.font", f);
        UIManager.put("Menu.font", f);
        UIManager.put("PopupMenu.font", f);
        UIManager.put("OptionPane.font", f);
        UIManager.put("Panel.font", f);
        UIManager.put("ProgressBar.font", f);
        UIManager.put("ScrollPane.font", f);
        UIManager.put("Viewport.font", f);
        UIManager.put("TabbedPane.font", f);
        UIManager.put("Table.font", f);
        UIManager.put("TableHeader.font", f);
        UIManager.put("TextField.font", f);
        UIManager.put("PasswordField.font", f);
        UIManager.put("TextArea.font", f);
        UIManager.put("TextPane.font", f);
        UIManager.put("EditorPane.font", f);
        UIManager.put("TitledBorder.font", f);
        UIManager.put("ToolBar.font", f);
        UIManager.put("ToolTip.font", f);
        UIManager.put("Tree.font", f);        
    }

}